クーポン商品更新
PATCH
/coupons/{coupon_id}/type/{type}/division/{division}/products/{item_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/coupons/example/type/2/division/2/products/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"salesPrice":"1234567890"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/coupons/example/type/2/division/2/products/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "salesPrice": "1234567890" }'指定されたクーポン商品を更新します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”coupon_id
required
string
クーポンID
※ ユーザーアクセストークンを利用する場合、ユーザーの所属する店舗で販売している商品のみをクーポン商品として持つクーポンのIDを指定してください。
type
required
string
クーポンアイテムタイプ(1:適用条件、2:商品付与)
※クーポン商品更新の場合は 2:商品付与 のみ指定できます。
division
required
string
クーポンアイテム区分:item_id の値が何を示すものかを指定します。(1:部門ID、2:商品ID、3:グループコード)
※クーポンアイテムタイプが 2.商品付与 の場合、商品IDのみ指定できます。
item_id
required
string
アイテムID:クーポンに紐づくアイテムを特定するための、その区分におけるID。
※ ユーザーアクセストークンを利用する場合で商品IDを指定する場合、ユーザーの所属する店舗で販売している商品IDを指定してください。
Request Body
Section titled “Request Body”Media typeapplication/json
object
salesPrice
required
販売価格
販売価格:商品付与する際の価格を指定します。
string format: int
Example
{ "salesPrice": "1234567890"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
couponId
クーポンID
string
division
クーポンアイテム区分:itemId の値が何を示すものかを指定します。(1:部門ID、2:商品ID、3:グループコード)
string
itemId
アイテムID:クーポンに紐づくアイテムを特定するための、その区分におけるID。
string
type
クーポンアイテムタイプ(1:適用条件、2:商品付与)
string
salesPrice
販売価格:商品付与する際の価格を指定します。
string
Example
{ "couponId": "string", "division": "string", "itemId": "string", "type": "string", "salesPrice": "string"}- 指定されたクーポンIDが存在しない場合
- 指定された商品IDが存在しない場合
- 指定されたパスの組み合わせのクーポン商品が存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたクーポンIDのリソースが見つかりません。", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品IDのリソースが見つかりません。", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定されたクーポン商品のリソースが見つかりません。", "status": 404}